openSUSE Linux naujienos, pagalba

Asmens tapatybės kortelė ir elektroninis parašas: naršyklėje su JAVA (atnaujinta)
Šeštadienis, 17 Birželis 2017 08:04

Net jei kartą susitvarkėte Linux sistemą pagal anksčiau pateiktas asmens tapatybės kortelės naudojimo elektroniniam parašui instrukcijas, to gali nebepakakti tvarkant reikalus interneto naršykle, kadangi pagrindinės naršyklės nesenai nustojo palaikyti NPAPI papildinius, įskaitant JAVA:  Google Chrome – nuo 45 versijos (2015 m. rugsėjo), Firefox nebepalaiko nuo 52 versijos (2017 m. kovo). Elektroninį parašą per NPAPI tipo JAVA papildinį vis dar naudoja kai kurie bankai.

Tiesa, NPAPI vis dar palaikoma Firefox 52 ESR (ilgesnio palaikymo) atmainoje, kuri palaikysima iki 2018 metų vidurio. Nuo 2017 m. kovo openSUSE Leap versijose ir openSUSE Tumbleweed atmainoje numatytuoju atveju gaunate būtent Firefox 52 ESR atmainą. Firefox 52 ESR versijoje adreso laukelyje įvedę about:config , galite matyti, kad konfigūracijoje plugin.load_flash_only kintamojo reikšmė numatytuoju atveju yra false; tuo tarpu įprastoje Firefox 52 versijoje šio kintamojo reikšmė buvo true; nuo Firefox 53 versijos nelieka galimybės įjungti NPAPI papildinių keičiant kintamųjų reikšmes. Būtent tik Firefox 52 ESR versiją gausite su openSUSE Leap 42.2 atnaujinimais iki pat openSUSE Leap 42.2 gyvavimo pabaigos; tuo tarpu būsima openSUSE Leap 42.3 versija iš pradžių taip pat teiks Firefox 52 ESR, bet vėliau (vis dar neaišku kada tiksliai: gal nuo 2018 m. vidurio, o gal ir anksčiau) ją pakeis naujesnė Firefox versija, nebesuteikianti jokių galimybių naudoti NPAPI papildinius; openSUSE Tumbleweed šiai dienai tebesiūlo Firefox 52 ESR tik laikinai, kol neišspręstos kai kurios naujesnių versijų naudojimo problemos (pvz., boo#1022830).

Nuo 2017 metų kovo prisijungti prie SODROS ir kitų valstybinių įstaigų svetainių galėsite tik įsidiegę signa-browser-ext RPM paketą iš SignaBrowserExt_Linux.zip archyvo. Šis priedas leis prisijungti įvairiose naršyklėse (įskaitant Firefox, Google Chrome, Chromium, Opera, Vivaldi), nepriklausomai nuo to, ar naršyklė palaiko minėtus NPAPI papildinius. Anksčiau rašėme, kad į Linux sistemą diegiant signa-browser-ext gali kilti bėdų bėdų su JAVA priklausomybėmis, tačiau šių bėdų nebeliko nuo signa-browser-ext 1.0-r7709-20170608 versijos. Išsamesni paaiškinimai pateikti adresu http://www.sodra.lt/lt/kaip-naudotis-elektroniniu-parasu .

Jei jau spėjote įsidiegti signa-browser-ext 1.0-r7707-20170604 ar senesnę versiją, skaitykite toliau.

Anksčiau rašėme, kad jei naudojate 64 bitų operacinę sistemą, turite sukurti simbolinę nuorodą iš /usr/lib64/jvm į /usr/lib/jvm, nes senesnės signa-browser-ext versijos tikėjosi, kad JAVA įdiegta pastarajame kataloge. Atnaujintoje signa-browser-ext šios simbolinės nuorodos nebereikia, tad jei ją spėjote sukurti rankiniu būdu, rankiniu būdu ir pašalinkite:

[ -L /usr/lib/jvm ] && sudo rm /usr/lib/jvm

Dalintis:

Digg    reddit    Facebook